Working with Generic Control Surfaces

In addition to supporting dedicated special-purpose control surfaces such as the CM Labs MotorMix, SONAR includes a general purpose plug-in, called Cakewalk Generic Surface, that can be configured to support any generic MIDI controller (control surface), such as the JL Cooper FaderMaster, Peavey PC-1600, and Kenton Control Freak. Generic control surfaces typically have 8-16 strips of faders/knobs/buttons, are non-motorized, and can often be configured to transmit any MIDI message (continuous controllers, NRPNs, Sysx, etc.).

Note: Any MIDI messages that are being sent to the Cakewalk Generic Surface plug-in by your control surface are not recorded into tracks in SONAR. This also means that if you have other MIDI devices connected to the same MIDI ports, any similar MIDI messages transmitted from those devices will not be recorded either. If you wish to record automation, make sure the applicable track parameters are armed for automation.

Note: SONAR takes a plug-in approach to supporting specific control surfaces, and each control surface uses separate plug-in software. Support for additional control surfaces can be added, or existing plug-ins can be updated, independently from SONAR, either by Cakewalk or third-party control surface vendors.

See:

Sample Control Surface Tutorial

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Assigning Faders and Knobs to Control SONAR Parameters

To assign a knob or fader on your control surface to control a certain SONAR parameter, all you usually have to do is move the knob or fader a few times, and then click the Learn button in the Cakewalk Generic Surface property page (see Sample Control Surface Tutorial). However, it can be very helpful to first find out exactly what MIDI message that knob is sending out when you move it. Your owner's manual for your control surface can tell you, or you can record the movements of the knobs you want to use, and then look at SONAR's Event List view:

To Display a Knob's MIDI Message

  1. If your control surface allows you to choose the MIDI messages your control surface sends out, configure it now.

  2. Make sure your control surface's MIDI cables are connected, and the power is on.
  3. Make sure the Generic Control Surface plug-in is not enabled: Use the Options-Control Surfaces command to open the Control Surfaces dialog. If Cakewalk Generic Surface appears in the Connected Surfaces window, select it and then click the Delete button [image] . Click Close.

  4. Arm a MIDI track, and label it with something appropriate, like Fader 1, Strip 1.

  5. Start recording, move the fader or knob in both directions, and stop recording.
  6. With the focus on the track you recorded, open the Event List view (View-Event List command).

In the Kind column, you'll see what kind of message it is (NRPN, SysxData, etc.). In the Data column, you'll find the message's classification number, and in the next column, you'll find the actual data in the message (Sysx data may all be in the Data column).

If there is a lot of different data (the last column), your fader is sending out continuous messages. Use this kind of fader to control continuous parameters such as Volume and Pan. If there is only one number or the same number repeated in the last column, assign this knob to a parameter such as Mute or Solo to toggle it on and off. If there are only two different numbers in the last column, your knob sends out one message when you turn it to the right, and a different message when it is turned to the left. If it's a button, it sends out one message when depressed and a different one when released.

Record at least two of every kind of fader or knob you plan to use, so that you'll see the pattern of MIDI messages that your control surface sends out. For example, if knob 1 on strip 1 sends out NRPN # 5000, it's likely that knob 2 on strip 1 sends out NRPN # 5001.

Now that you've confirmed the MIDI messages your control surface sends, you can start assigning the faders and knobs to control various SONAR parameters.

The first thing to do is to enable the Generic Control Surface plug-in.

To Enable the Generic Control Surface Plug-in

  1. Use the Options-Control Surfaces command.

    The Control Surfaces dialog appears.

  2. Click the Add Control Surface button [image] , which opens the Control Surface Settings dialog.

  3. Select Cakewalk Generic Surface, and specify which MIDI input and output ports the control surface is connected to.

  4. Click OK--Cakewalk Generic Surface appears in the Control Surfaces dialog under Connected Surfaces.
  5. Click Close.

SONAR connects with the control surface, and adds Cakewalk Generic Control Surface to the drop-down list of control surfaces in the Control Surfaces toolbar. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the buttons on the control surface itself. Use the drop-down menu on the toolbar to choose what control surface the toolbar displays information for. Click the Properties button at the end of the toolbar to display the property page (interface) of the currently displayed control surface.

Now that you've enabled the Generic Control Surface plug-in, to start assigning knobs to parameters, open the Cakewalk Generic Surface property page.

To Open the Cakewalk Generic Surface Property Page

  1. Make sure that the Cakewalk Generic Control Surface plug-in is enabled (see To Enable the Generic Control Surface Plug-in, if necessary).

  2. In the Control Surfaces toolbar (View-Toolbars-Control Surfaces command), make sure that Cakewalk Generic Surface appears in the drop-down menu.
  3. Click the Properties button that is at the right end of the Control Surfaces toolbar.

To Assign a Fader or Knob to a SONAR Parameter

  1. In the Cakewalk Generic Surface property page under Parameters in a Hardware Strip, choose the strip of controls you want to assign from the Configure Strip Number field. Usually you start with 1.

  2. Click the radio button next to Parameter 1 to select it, and in the drop-down menu next to it, choose the parameter you want to control with this particular fader or knob.

    Note: If the fader you're assigning sends Sysx, make sure it sends enough different data values to control the parameter you want it to. To control volume for example, your knob must be able to send 128 different values.

  3. Move the fader or knob twice and in both directions, and then click the Learn button.

    The property page reads the type of messages the knob sends out and displays the information in the MIDI Message for current SONAR Parameter fields. Just to be safe, compare the data to any previous recording you might have done (see To Display a Knob's MIDI Message, if necessary).

  4. Press the Tab key on your computer keyboard to accept the data.

  5. If you're assigning a fader to a continuos parameter such as Volume, move the fader and see if the correct track property in SONAR responds.
  6. If you're assigning a knob to a parameter that toggles on and off, move the knob and see if the correct track property in SONAR responds. If it doesn't, check the value in the Trigger Value field and make sure it corresponds to a value that the knob sends out when you move it. For example, if a button sends out NRPN # 5000 with a value of 1 when you depress it, make sure that the Trigger Value is set to 1. If that button sends out a different value when you release it, you could set the Trigger Value to that value instead if you wanted to control the parameter by releasing the button instead of depressing it.
  7. If your knob or fader functions the way you want it to, type a name or select a name in the Presets field and then click the disk icon that's next to it to save your preset.

Now you can either assign more faders and knobs on the current strip, or start configuring another strip by choosing a different strip in the Configure Strip Number field.

Assigning Forward and Rewind Buttons

The Forward and Rewind assignments are special cases in the Cakewalk Generic Surface property page. When you click select either of these parameters, notice that Literally/Toggle field becomes greyed-out, and the On/Off fields become available. This is because the Forward and Rewind commands both require two different MIDI messages to function: one MIDI message to turn the operation on, and a different message to turn the operation off. This kind of operation is best assigned to a button that sends out one MIDI message when you hold or push it down, and a different MIDI message when you let the button up. The property page can usually fill in the On field and the Off field correctly if you push the desired button a few times and then click the Learn button. But it helps if you know exactly what MIDI messages the desired button sends out. That way, you can fill in the correct trigger values in the On and Off fields if the displayed values are incorrect.

Conserving Knobs and Buttons

There are a few tricks you can use if you're running out of buttons, or if your control surface only has a couple of buttons on each strip, and you want to control more parameters on each track:

  • Assign a two-way knob or button to control two different parameters--If a knob sends out one MIDI message when it's turned to the right and a different MIDI message when it's turned to the left, you could use it to control 2 toggle-type parameters, such as solo and arm. For example, if a knob sends out NRPN # 5000 with a data value of 1 when you turn it to the right and a data value of 16383 when you turn it to the left, you could use a Trigger Value of 1 to turn the Arm button on and off, and a Trigger Value of 16383 to turn the Solo button on and off. That way, each time you turn the knob to the right, the Arm button turns on or off. Each time you turn the knob left, the Solo button turns on or off.

  • Assign a two-way knob to control a continuous parameter--If your fader is assigned to control Volume, you can use a two-way knob to control Pan or some or continuous parameter such as Send 1 Level. For example, if a knob sends out NRPN # 5000 with a data value of 1 when you turn it to the right and a data value of 16383 when you turn it to the left, you could use a value of 1 in the Increment/Decrement Plus + field, and a value of 16383 in the Increment/Decrement Minus - field. That way, each time you turn the knob to the right, the Pan parameter (or whatever parameter you want) increases by 1. Each time you turn the knob to the left, the parameter decreases by 1. The parameter continues to increase if you keep turning the knob to the right, and decreases similarly if you keep turning the knob to the left.
  • Use multiple strips to control one track at a time--Assign as many knobs and faders as you want to control lots of parameters on only one track (leave the Configure Strip Number field set to 1 while you're assigning faders and knobs). Then assign a couple of buttons to Move 1 Left and Move 1 Right, so you can shift your control surface one track at a time.

See:

Controlling Different Tracks or Groups of Tracks

Sample Control Surface Tutorial

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Controlling Different Tracks or Groups of Tracks

The Cakewalk Generic Surface plug-in can control anywhere from 1-32 tracks simultaneously, as specified by whatever number you fill in in the Number of Track Strips field in the Cakewalk Generic Surface property page. There is always at least one track being controlled, referred to as the Base Track. The Number of Track Strips value refers to the base track plus `n' number of additional tracks. The toolbar automatically updates to display the range of tracks (1-8, 2-9, 9-16, etc.) that your control surface currently controls.

If multiple control surfaces are enabled, the Control Surfaces toolbar lets you select which control surface to display track information for.

The currently controlled tracks are displayed in the Control Surfaces toolbar. If the toolbar is not already displayed, use the View-Toolbars command, and select Control Surfaces. It is important to understand that this toolbar is for display purposes only--it gets information from the Cakewalk Generic Surface plug-in (or any other active control surface plug-in), but the toolbar cannot update, or send information to the Cakewalk Generic Surface plug-in. Changing which tracks are controlled must be done with the Move 1 Left, Move 1 Right, Move Bank Left, or Move Bank Right parameters, or by clicking the BaseTrack buttons that are at the top of the Cakewalk Generic Surface property page.

Note: If you don't have any buttons left over to assign to the Move 1 or Move Bank parameters, you can click the right or left buttons in the BaseTrack section of the Cakewalk Generic Surface property page to move the Base Track to the right or left by one track. The buttons are located so that you can resize the property page to just show the buttons and the Presets field.

To Control the Next Track or Bank of Tracks

  1. In the Cakewalk Generic Surface property page under Global Parameters, select Move 1 Right to control the next higher-numbered track, or Move Bank Right to control the next higher-numbered bank of tracks.

  2. Move (twice) the button or knob that you want to use to shift the control surface to the next higher-numbered track or bank (for example, from track 1 to track 2, or from tracks 1-8 to tracks 9-16).
  3. Click the Learn button.

    The property page reads the type of MIDI message and displays the characteristics in the appropriate fields.

  4. Press the Tab key to accept the data.

  5. Move the button or knob again and watch the display in the Control Surfaces toolbar to see if the current tracks shift by the appropriate number.

Repeat this procedure, but use a different knob, and select Move 1 Left or Move Bank Left so that you can move the current track or bank to a lower-numbered one.

See:

Sample Control Surface Tutorial

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

The Cakewalk Generic Surface Property Page

Sample Control Surface Tutorial

This section describes how to configure the Cakewalk Generic Surface plug-in to control a fictitious control surface consisting of:

  • Two strips, with each strip having 1 fader and 1 knob

  • Two buttons (separate from the strips)

This is a pretty simple control surface. For this example, let's decide that the faders should control Volume, the knobs should control Pan, and the two buttons should move the bank of tracks to the left and right respectively.

To start, follow the instructions earlier in this document for enabling the Cakewalk Generic Surface plug-in (To Enable the Generic Control Surface Plug-in) and displaying its property page. Once the property page is open:

  1. Set Parameter 1 to Volume, and Parameter 2 to Pan. Since our control surface only has two hardware controls per strip, we only need to use two track parameters (there is no need to configure Param 3-16; the MIDI message for these parameters should be assigned to None).

  2. We want our control surface to control two tracks simultaneously, so set Number of Track Strips to 2.
  3. Let's start by configuring the parameters for the first track: set Configure Strip Number to 1.
  4. Select Parameter 1 (Volume) by clicking the radio button that's just left of the Parameter 1 field.
  5. Move the first fader on your control surface (move it a couple of times).
  6. Click Learn. This automatically defines the MIDI message for Parameter 1 in strip #1 (i.e. Volume for the Base Track). You can also type in the desired MIDI message manually.
  7. Select Parameter 2 (Pan).
  8. Move (twice) the first knob in strip 1.
  9. Click Learn. This automatically defines the MIDI message for Param 2 in strip #1 (i.e. Pan for the Base Track). If you know what data value the knob sends out when you move it, check the Trigger Value field to see that it's the same as the data value that the knob sends out (see To Display a Knob's MIDI Message, if necessary).
  10. Next, let's configure the parameters for track 2 (Base Track + 1): set Configure Strip Number to 2.
  11. Since Parameter 2 (Pan) is already selected, move the knob in strip 2 (the identical knob you moved to set Pan in strip 1, only use the knob in strip 2).
  12. Click Learn. This automatically defines the MIDI message for Parameter 2 in strip #2 (i.e. Pan for base track+1).
  13. Select Parameter 1 (Volume).
  14. Move the second fader.
  15. Click Learn. This automatically defines the MIDI message for Param 1 in strip #2 (i.e. Volume for base track+1).
  16. All of the track parameters have now been defined. Press the Tab key to accept the last value you set.
  17. Let's configure the two remaining buttons to change the bank of tracks the control surface controls: select Move Bank Left.
  18. Press the button you reserved for this purpose on your control surface.
  19. Click Learn. This automatically defines the MIDI message to move the bank of tracks that the control surface controls to the left (by two tracks).
  20. Select Move Bank Right.
  21. Press the button you reserved for this purpose on your control surface.
  22. Click Learn. This automatically defines the MIDI message to move the bank of tracks to the right (by two tracks).
  23. Finally save the configuration as a preset by typing a name in the Preset field, and then clicking the disk icon that's next to it.

Note: In steps 17 and 20, you can select Move 1 Left and Move 1 Right instead if you prefer to move the group of tracks in increments of 1 track at a time instead of 1 bank of tracks at a time.

See:

The Cakewalk Generic Surface Property Page

Controlling Different Tracks or Groups of Tracks

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Final Word

The Cakewalk Generic Surface Property Page

The Cakewalk Generic Surface property page appears when you click the Properties button that is at the right end of the Control Surfaces toolbar (View-Toolbars-Control Surfaces command) while Cakewalk Generic Surface appears in the drop-down menu in the toolbar. The Cakewalk Generic Control Surface plug-in must be enabled first, however (see To Enable the Generic Control Surface Plug-in, if necessary).

The property page has several sections, as described below:

BaseTrack

This section contains 2 buttons on either side of a number field. You can click the buttons to move the Base Track to a higher-numbered track (right button) or lower-numbered track (left button). The Base Track is the first track in the bank of tracks that your control surface is currently controlling. You define how many tracks are in a bank by entering a number in the Number of Track Strips field. The number can be from 1 to 32, inclusive. The property page is designed so that you can minimize it to show only the BaseTrack buttons and Preset window, so you can click the buttons while you're working. The buttons are an alternative way to change the Base Track if you haven't assigned any buttons on your control surface to do that. The Move 1 and Move Bank fields are what you use to assign those functions.

Parameters in a Hardware Strip:

This section lists the particular strip you are assigning controls for, the number of strips that make up a bank or tracks or strips, and the various track parameters you can control with the faders and knobs on any hardware strip. You can assign the following different track parameters:

  • Volume

  • Pan
  • Mute
  • Solo
  • Record Arm
  • Write Arm
  • Phase
  • Send n Level (n=1-16; depending on number of active aux buses; Send 1 Level=Reverb for MIDI tracks, Send 2 Level=Chorus for MIDI tracks)
  • Send n Pan (n=1-16)
  • Send n Enable (n=1-16)
  • Send n Pre/Post (n=1-6)

Global Parameters

This section let's you assign buttons and knobs to control SONAR's transport. The parameters you can control are:

  • Play

  • Stop
  • Record
  • Record Automation
  • Jog <- (previous measure)
  • Jog -> (next measure)
  • Forward >>
  • Rewind <<
  • Move 1 Left--This parameter changes the currently-controlled track to the next lower-numbered track.
  • Move 1 Right--This parameter changes the currently-controlled track to the next higher-numbered track.
  • Move Bank Left--This parameter changes the currently-controlled bank of tracks to the next lower-numbered bank of tracks.
  • Move Bank Right--This parameter changes the currently-controlled bank of tracks to the next higher-numbered bank of tracks.

MIDI Message for the Current SONAR Parameter

This section is where you can choose a specific kind of MIDI message to control whatever track or global parameter is currently selected in the Parameters in a Hardware Strip section, or the Global Parameters section. Most of the time you don't need to choose, because the Learn button fills in the fields automatically.

Choose from the following options:

  • None--Click this button to disable remote control for the current parameter.

  • Learn--If you don't know the exact MIDI message that a fader/knob/button transmits, you can simply move the fader/knob/button a couple of times, and then click Learn to automatically fill in the correct MIDI message.
  • Controller--With this button enabled and a Controller number entered in the number field, SONAR moves the selected parameter whenever it receives this specific controller message from your control surface.
  • Channel--The MIDI channel the control surface uses for Controller, NRPN and RPN events. Don't use this channel for any other modules or synths.
  • NRPN--With this button enabled and a NRPN number entered in the number field, SONAR moves the selected parameter whenever it receives this specific NRPN message from your control surface.
  • Trigger Value--For triggered actions (mute, solo, play, stop, etc.), specify the Controller, NRPN or RPN value that will trigger the current parameter.
  • RPN--With this button enabled and a RPN number entered in the number field, SONAR moves the selected parameter whenever it receives this specific RPN message from your control surface.
  • Note--You can use a Note On message to trigger a parameter or action. The number field next to the radio button displays the note number, and the Trigger Value field displays the velocity the note must use to trigger the desired parameter. If you use a MIDI keyboard for this field, you can enter zero in the Trigger Value field, and the property page will then use the Note Off signal as a trigger, instead of the Note On.
  • Wheel--You can use a pitch wheel to trigger a parameter. In this case, the Trigger Value field uses a range of numbers from 0 to 16383. Continuous parameters such as Pan or Volume are the best choices for a pitch wheel (except for the fact that the wheel usually returns to its original position when you let go of it), but you can use a wheel to control toggle-type parameters by entering 0 or 16383 in the Trigger Value field. That way, you'll trigger the desired parameter when the wheel reaches its maximum or minimum position.
  • Sysx Single Byte--Selecting this option tells SONAR that the significant data (the variable, or parameter value) in the incoming Sysx message is in the form of a single byte. The Sysx Single Byte option has the following structure: F0 ? VV ? F7. The pre string should be F0 ?, where you must include the F0 byte, and the post string should be ? F7, where you must include the F7 byte.
  • Sysx High Byte First--Selecting this option tells SONAR that the significant data in the incoming Sysx message is in the form of two bytes, with the high byte first. The Sysx High Byte First option has the following structure: F0 ? HI LO ? F7.
  • Sysx Low Byte First--Selecting this option tells SONAR that the significant data in the incoming Sysx message is in the form of two bytes, with the low byte first. The Sysx Low Byte First option has the following structure: F0 ? LO HI ? F7.
  • Starts With--Fill in the string that your control surface sends in Sysx messages that precedes the significant data.
  • Ends With--Fill in the string that your control surface sends in Sysx messages that follows the significant data.
  • Sysx Trigger--Triggered targets (play, mute, solo, etc.) are enacted by using a Sysx trigger, where the user simply types the entire Sysx message F0 ?? F7 that will trigger the action.
  • Trigger Message--The exact Sysx message, in the form of F0 ? ? F7, for the Sysx Trigger option.

Note: The Sysx Single Byte, Sysx High Byte First, and Sysx Low Byte First options assume that the Sysx message will be interpreted as a value to control continuous parameters such as Volume, extracted from somewhere in the middle of the message. That is why those three options are unavailable for "triggered" targets, like play, record, mute, solo, move 1 left, move 1 right, etc.

MIDI Message Interpretation

A special interpretation of a MIDI message is commonly used in the following two cases:

  • Literally/Toggle--The property page interprets almost all MIDI messages as either literal values or toggle-type values, so most of the time this button is checked. A fader usually sends out a stream of different messages that are different for each position of the fader. The values of these messages are used "literally" to make timely changes in a continuous parameter such as Volume. The other common interpretation of a MIDI message is that it is meant to "toggle" a control such as a Mute button on and off. The property page interprets almost all MIDI messages as one of these two types of message.

  • Increment/Decrement--This option is valuable if you want to use a button or knob that can only send two different values to control a continuous parameter, such as Pan or Volume (see Conserving Knobs and Buttons).
  • Plus+--The value that causes the desired parameter to increase by 1.
  • Minus---The value that causes the desired parameter to decrease by 1.
  • On/Off--This option is currently only used with the Forward >> and Rewind << shuttle actions. You should only assign buttons to these functions if each button sends a different MIDI message when it is released from the message it sends when it is pushed. The On field displays the value the button sends when you push it, and the Off field displays the value the button sends when you release it.

Presets

After you have carefully configured the Cakewalk Generic Surface property page to work with your control surface, you will likely want to save the configuration as a preset.

To Save a Preset

  • Type a name in the Preset box, then click the Save (floppy disk) button.

Control Surface presets are saved in the following directory:

C:\Program Files\Cakewalk\SONAR 2\Presets\{404C9315-693D-4715-A326-143A992FA784}

(or wherever you installed SONAR 2, if different).

In addition, each preset is referenced in the following location in the Windows registry:

[HKEY_CURRENT_USER\Software\Cakewalk Music Software\SONAR\2.0\Presets\{404C9315-693D-4715-A326-143A992FA784}]

If you want to back up a preset, or send it to us for inclusion in SONAR 2, follow this procedure:

  1. Back up the actual preset file in the C:\Program Files\Cakewalk\SONAR 2\Presets\{404C9315-693D-4715-A326-143A992FA784} directory.

  2. Start the Windows registry by clicking the Start button, selecting Run, then type "regedit" (without the quotation marks). Warning : only do this if you're comfortable with editing the Windows registry!
  3. Navigate to [HKEY_CURRENT_USER\Software\Cakewalk Music Software\SONAR\2.0\Presets\{404C9315-693D-4715-A326-143A992FA784}], and highlight the preset you wish to back up.
  4. Go to Registry | Export Registry Key.
  5. Make sure "Selected branch" is selected.
  6. Provide a file name and click Save.

See:

The Cakewalk Generic Surface Property Page

Controlling Different Tracks or Groups of Tracks

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Final Word

Saving and Using Presets

You create a generic control surface preset in the Cakewalk Generic Surface property page the same way you create presets in other plug-ins: by configuring the plug-in the way you like, and then typing a name in the Presets window and clicking the disk icon to save your settings. You can then select a preset whenever you want to use a certain control surface in a certain way. You can create presets to use the same control surface in many different ways. For example, one preset could cause your control surface to control the same parameters on each track in a bank of 8 or more tracks. Another preset could cause your control surface to control a long list of parameters on only one track at a time. You can use as many control surfaces as you want simultaneously, with each one configured to control different SONAR parameters.

The first thing you need to know before creating a specific preset, is how many hardware strips/channels/modules the control surface supports. For example, a JL Cooper FaderMaster has 8 strips, a Kenton Control Freak Studio Edition has 16 strips. The Cakewalk Generic Surface plug-in can control anywhere from 1-32 strips (strip=track) simultaneously. The number of strips determines how many different SONAR tracks the control surface can control. Although a control surface has multiple hardware strips, you may decide that all faders/buttons/knobs should control a single SONAR track (fader 1 = volume, fader 2 = pan, etc.). You have complete control over how the Cakewalk Generic Surface plug-in is configured.

Once you have decided how many different SONAR tracks the control surface should control, make a list of which specific track parameter each hardware fader or button should control.

See:

Backing Up Presets

Final Word

The Cakewalk Generic Surface Property Page

Controlling Different Tracks or Groups of Tracks

Assigning Faders and Knobs to Control SONAR Parameters

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Final Word

Be creative, and create control surface presets that suit you needs. For example, although your control surface may have eight hardware strips, you can:

  • Configure the Cakewalk Generic Surface plug-in to control a single track (each fader controls a different track parameter in the same track)

  • Split the hardware strips. Configure the surface to control 4 tracks, where faders 1-4 control Volume and faders 5-8 control Pan, etc.
  • Create many different presets, each suited for a different task
  • If the control surface has Factory and/or User presets, take advantage of them to quickly change the type of MIDI message that each fader/knob/button sends. For example, use preset #1 to control volume, preset #2 to control pan, etc.

See also: